2019-12-07 09:14 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002056FSSCPSEXPspublic2010-06-22 23:01
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.13 
Summary0002056: Disable/enable built in messages node processing logic problem
DescriptionWhile looking to update this to take teams and wings as arguments I noticed the logic didn't seem quite right. Portej05 took a quick look and confirmed my suspicions. The sexp current takes #command, <any wingman> or a ship name as arguments (or no argument) The problem is that if a ship is listed before #command or <any wingman> in the list sexp_deal_with_ship_flag will be called and process the entire list thus skipping the processing of #command or <any wingman>

I already have to modify this for accepting teams and wings so I should be able to fix it at the same time.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011368

karajorma (administrator)

I'm tempted to get the fix for this one in now, you can change that to your complete solution for the problem later.

~0012124

Goober5000 (administrator)

Fixed by adding an extra parameter to sexp_deal_with_ship_flag to check whether or not to process the entire list.

Fix is in revision 6257.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-26 23:54 FUBAR-BDHR New Issue
2009-12-02 08:32 karajorma Note Added: 0011368
2010-02-06 06:07 karajorma Status new => assigned
2010-02-06 06:07 karajorma Assigned To => karajorma
2010-06-22 23:01 Goober5000 Note Added: 0012124
2010-06-22 23:01 Goober5000 Assigned To karajorma => Goober5000
2010-06-22 23:01 Goober5000 Status assigned => resolved
2010-06-22 23:01 Goober5000 Resolution open => fixed
2010-06-22 23:01 Goober5000 Fixed in Version => 3.6.13
+Issue History